### Enumeration

# AppStream ControlKind

since: 1.0

#### Declaration

    enum AppStream.ControlKind

#### Description [src]

Kind of an input method for users to control software.

Available since: 1.0

#### Members

`AS_CONTROL_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_CONTROL_KIND_POINTING`

  Mouse/cursors/other precision pointing device.

  - Value: `1`
  - Nickname: `pointing`
  - Available since: 1.0
`AS_CONTROL_KIND_KEYBOARD`

  Keyboard input.

  - Value: `2`
  - Nickname: `keyboard`
  - Available since: 1.0
`AS_CONTROL_KIND_CONSOLE`

  Console / command-line interface.

  - Value: `3`
  - Nickname: `console`
  - Available since: 1.0
`AS_CONTROL_KIND_TOUCH`

  Touch input.

  - Value: `4`
  - Nickname: `touch`
  - Available since: 1.0
`AS_CONTROL_KIND_GAMEPAD`

  Gamepad input (any game controller with wheels/buttons/joysticks)

  - Value: `5`
  - Nickname: `gamepad`
  - Available since: 1.0
`AS_CONTROL_KIND_VOICE`

  Control via voice recognition/activation.

  - Value: `6`
  - Nickname: `voice`
  - Available since: 1.0
`AS_CONTROL_KIND_VISION`

  Computer vision / visual object and sign detection.

  - Value: `7`
  - Nickname: `vision`
  - Available since: 1.0
`AS_CONTROL_KIND_TV_REMOTE`

  Input via a television remote.

  - Value: `8`
  - Nickname: `tv-remote`
  - Available since: 1.0
`AS_CONTROL_KIND_TABLET`

  Graphics tablet input.

  - Value: `9`
  - Nickname: `tablet`
  - Available since: 1.0

#### Type functions

###### as_control_kind_from_string

Converts the text representation to an enumerated value.

since: 0.12.11

###### as_control_kind_to_string

Converts the enumerated value to a text representation.

since: 0.12.11